## ros-lunar-rostime 0.6.11

=== debian/changelog ===
ros-lunar-rostime (0.6.11-0xenial) xenial; urgency=high

  * argument to boost microseconds must be integral for Boost 1.67 and newer compatibility (#79 <https://github.com/ros/roscpp_core/issues/79>)
  * remove empty destructor of TimeBase (which makes TimeBase, Time and WallTime trivially copyable) (#82 <https://github.com/ros/roscpp_core/issues/82>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-lunar-rostime (0.6.10-0xenial) xenial; urgency=high

  * fix conversion of Duration on macOS (#78 <https://github.com/ros/roscpp_core/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-lunar-rostime (0.6.9-0xenial) xenial; urgency=high

  * expose ros_walltime and ros_steadytime (#73 <https://github.com/ros/roscpp_core/issues/73>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Feb 2018 08:00:00 -0000

ros-lunar-rostime (0.6.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Jan 2018 08:00:00 -0000

ros-lunar-rostime (0.6.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-lunar-rostime (0.6.6-0xenial) xenial; urgency=high

  * only use Apple features on Apple (#68 <https://github.com/ros/roscpp_core/issues/68>)
  * remove exception specification (#64 <https://github.com/ros/roscpp_core/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-rostime (0.6.5-0xenial) xenial; urgency=high

  * add additional checks for valid time values (#62 <https://github.com/ros/roscpp_core/pull/62>)
  * fix overflow bugs in Time and Duration (#61 <https://github.com/ros/roscpp_core/pull/61>, #63 <https://github.com/ros/roscpp_core/pull/63>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-rostime (0.6.4-0xenial) xenial; urgency=high

  * add logic to support steady time on macOS (regression of 0.6.3) (#59 <https://github.com/ros/roscpp_core/pull/59>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Jun 2017 07:00:00 -0000

ros-lunar-rostime (0.6.3-0xenial) xenial; urgency=high

  * add SteadyTime (#57 <https://github.com/ros/roscpp_core/issues/57>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 May 2017 07:00:00 -0000

ros-lunar-rostime (0.6.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-lunar-rostime (0.6.1-0xenial) xenial; urgency=high

  * fix rounding errors leading to invalid stored data in ros::TimeBase (#48 <https://github.com/ros/roscpp_core/issues/48>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-lunar-rostime (0.6.0-0xenial) xenial; urgency=high

  * change Duration:sleep return semantic (#47 <https://github.com/ros/roscpp_core/pull/47>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-lunar-rostime (0.5.7-0xenial) xenial; urgency=high

  * Adjust return value of sleep() function (#45 <https://github.com/ros/roscpp_core/pull/45>)
  * fix WallRate(Duration) constructor (#40 <https://github.com/ros/roscpp_core/pull/40>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 08:00:00 -0000

ros-lunar-rostime (0.5.6-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 20 May 2015 07:00:00 -0000

ros-lunar-rostime (0.5.5-0xenial) xenial; urgency=high

  * move implementation of Duration(Rate) constructor (#30 <https://github.com/ros/roscpp_core/issues/30>)
  * fix Duration initialization from seconds for negative values  (#29 <https://github.com/ros/roscpp_core/pull/29>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-lunar-rostime (0.5.4-0xenial) xenial; urgency=high

  * fix Rate initialized by Duration (#26 <https://github.com/ros/roscpp_core/issues/26>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Jul 2014 07:00:00 -0000

ros-lunar-rostime (0.5.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 28 Jun 2014 07:00:00 -0000

ros-lunar-rostime (0.5.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 27 Jun 2014 07:00:00 -0000

ros-lunar-rostime (0.5.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-lunar-rostime (0.5.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 19 Feb 2014 08:00:00 -0000

ros-lunar-rostime (0.4.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-lunar-rostime (0.4.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-lunar-rostime (0.4.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Jan 2014 08:00:00 -0000

ros-lunar-rostime (0.3.17-0xenial) xenial; urgency=high

  * fix boost include dir

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-lunar-rostime (0.3.16-0xenial) xenial; urgency=high

  * support for CATKIN_ENABLE_TESTING

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Jul 2013 07:00:00 -0000

ros-lunar-rostime (0.3.15-0xenial) xenial; urgency=high

  * fix install destination for dll's under Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-lunar-rostime (0.3.14-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-lunar-rostime (0.3.13-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-lunar-rostime (0.3.12-0xenial) xenial; urgency=high

  * improve string output of negative durations (#3309 <https://github.com/ros/roscpp_core/issues/3309>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000


