=== debian/control ===
Source: ros-lunar-rostime
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-lunar-catkin (>= 0.5.68), ros-lunar-cpp-common
Homepage: http://ros.org/wiki/rostime
Standards-Version: 3.9.2

Package: ros-lunar-rostime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-lunar-cpp-common
Description: Time and Duration implementations for C++ libraries, including roscpp.
